summaryrefslogtreecommitdiff
path: root/src/testing/test_merchant_instance_auth.sh
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2023-06-22 16:30:55 +0200
committerChristian Grothoff <christian@grothoff.org>2023-06-22 16:30:55 +0200
commit99543152e9ddb1aab29d4e69dffb26c97d36040a (patch)
treea15f35206bf35183e986add028e684d59f31c310 /src/testing/test_merchant_instance_auth.sh
parent52c49785fe20844a52f083de4adf9fea6e0c403d (diff)
downloadmerchant-99543152e9ddb1aab29d4e69dffb26c97d36040a.tar.gz
merchant-99543152e9ddb1aab29d4e69dffb26c97d36040a.tar.bz2
merchant-99543152e9ddb1aab29d4e69dffb26c97d36040a.zip
-clean up test scripts
Diffstat (limited to 'src/testing/test_merchant_instance_auth.sh')
-rwxr-xr-xsrc/testing/test_merchant_instance_auth.sh14
1 files changed, 4 insertions, 10 deletions
diff --git a/src/testing/test_merchant_instance_auth.sh b/src/testing/test_merchant_instance_auth.sh
index c85e37e0..1a21c083 100755
--- a/src/testing/test_merchant_instance_auth.sh
+++ b/src/testing/test_merchant_instance_auth.sh
@@ -17,23 +17,17 @@
# <http://www.gnu.org/licenses/>
#
-# Exit, with status code "skip" (no 'real' failure)
-function exit_fail() {
- echo "$@" >&2
- exit 1
-}
-
# Cleanup to run whenever we exit
function my_cleanup()
{
for n in $(jobs -p)
do
- kill $n 2> /dev/null || true
+ kill "$n" 2> /dev/null || true
done
wait
- if [ ! -z ${LAST_RESPONSE+x} ]
+ if [ -n "${LAST_RESPONSE+x}" ]
then
- rm -f ${LAST_RESPONSE}
+ rm -f "${LAST_RESPONSE}"
fi
}
@@ -42,7 +36,7 @@ function my_cleanup()
# Launch only the merchant.
setup -c test_template.conf -m
CONF="test_template.conf.edited"
-LAST_RESPONSE=`mktemp test_response.conf-XXXXXX`
+LAST_RESPONSE=$(mktemp test_response.conf-XXXXXX)
echo -n "Configuring 'default' instance ..." >&2